oracle.pgx.api

## Class VertexProperty<ID extends Comparable<ID>,V extends Comparable<V>>

- java.lang.Object
- - oracle.pgx.api.Destroyable
  - - oracle.pgx.api.PgxManagedObject
    - - oracle.pgx.api.Property<ID,PgxVertex<ID>,V>
      - - oracle.pgx.api.VertexProperty<ID,V>

- Type Parameters:
    `ID` - the vertex ID type.
    `V` - the value type.
  All Implemented Interfaces:
    AutoCloseable

      public class VertexProperty<ID extends Comparable<ID>,V extends Comparable<V>>
      extends Property<ID,PgxVertex<ID>,V>

  A vertex property of a `PgxGraph`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<VertexProperty<?,?>>` | `ALL`
    `static Set<VertexProperty<?,?>>` | `NONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertexProperty<ID,V>` | `clone()` Blocking version of `cloneAsync()`.
    `VertexProperty<ID,V>` | `clone(String newPropertyName)` Blocking version of `cloneAsync(String)`.
    `PgxFuture<VertexProperty<ID,V>>` | `cloneAsync()` Create a copy of this property. Convenience method for `Property.cloneAsync(String)` passing newPropertyName as `null`
    `PgxFuture<VertexProperty<ID,V>>` | `cloneAsync(String newPropertyName)` Create a copy of this property.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.Property

      `fill, fillAsync, get, get, getAsync, getAsync, getBottomKValues, getBottomKValuesAsync, getEntityType, getGraph, getName, getTopKValues, getTopKValuesAsync, getType, getValues, getValuesAsync, isTransient, set, setAsync, setValues, setValues, setValuesAsync, setValuesAsync, size, sizeAsync`

    - ### Methods inherited from class oracle.pgx.api.PgxManagedObject

      `equals, hashCode`

    - ### Methods inherited from class oracle.pgx.api.Destroyable

      `close, destroy, destroyAsync`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final Set<VertexProperty<?,?>> ALL

    - #### NONE

          public static final Set<VertexProperty<?,?>> NONE

  - ### Method Detail

    - #### clone

          @Generated(value="src/python/synchronize.py")
          public VertexProperty<ID,V> clone()

      Blocking version of `cloneAsync()`. Calls `cloneAsync()` and waits for the returned `PgxFuture` to complete.
      Overrides:
        `clone` in class `Property<ID extends Comparable<ID>,PgxVertex<ID extends Comparable<ID>>,V extends Comparable<V>>`
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### clone

          @Generated(value="src/python/synchronize.py")
          public VertexProperty<ID,V> clone(String newPropertyName)
                                                                                  throws ExecutionException,
                                                                                         InterruptedException

      Blocking version of `cloneAsync(String)`. Calls `cloneAsync(String)` and waits for the returned `PgxFuture` to complete.
      Overrides:
        `clone` in class `Property<ID extends Comparable<ID>,PgxVertex<ID extends Comparable<ID>>,V extends Comparable<V>>`
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### cloneAsync

          public PgxFuture<VertexProperty<ID,V>> cloneAsync()

      Description copied from class: `Property`
      Create a copy of this property.
      Convenience method for `Property.cloneAsync(String)` passing newPropertyName as `null`
      Overrides:
        `cloneAsync` in class `Property<ID extends Comparable<ID>,PgxVertex<ID extends Comparable<ID>>,V extends Comparable<V>>`
      Returns:
        property result

    - #### cloneAsync

          public PgxFuture<VertexProperty<ID,V>> cloneAsync(String newPropertyName)

      Description copied from class: `Property`
      Create a copy of this property.
      Overrides:
        `cloneAsync` in class `Property<ID extends Comparable<ID>,PgxVertex<ID extends Comparable<ID>>,V extends Comparable<V>>`
      Parameters:
        `newPropertyName` - name of copy to be created. If `null`, guaranteed unique name will be generated.
      Returns:
        property result

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Property<ID extends Comparable<ID>,PgxVertex<ID extends Comparable<ID>>,V extends Comparable<V>>`

Copyright © 2015. All rights reserved.